Skip to main content
Developers and QA engineers can use these predefined test values to simulate negative Disputes API responses in a sandbox while they develop and test their integration.
Test values are case-sensitive.

Prerequisites

  • Access to the Disputes API sandbox.
  • Valid API credentials and authentication set up.
  • An HTTP client (for example, cURL, Postman, or your application).
For more information, see Set up accounts and environment.

Simulate negative responses

  1. Pick the Disputes API operation and the error you want to test.
  2. Find the matching test value in the tables below and send a request that uses it in the path or query parameter.
  3. Confirm that the response and your integration’s behavior match the simulated error described in the table.

List disputes

Use the query parameter in the request URL to simulate the negative responses. Endpoint: GET /v1/customer/disputes?disputed_transaction_id={TRANSACTION-ID}
Query parameterSimulated error response
/v1/customer/disputes?disputed_transaction_id=ERRDIS023FORBIDDEN
/v1/customer/disputes?disputed_transaction_id=ERRDIS024INVALID_RESOURCE_ID
/v1/customer/disputes?disputed_transaction_id=ERRDIS025NOT_ACCEPTABLE
/v1/customer/disputes?disputed_transaction_id=ERRDIS026UNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes?disputed_transaction_id=ERRDIS027RATE_LIMIT_REACHED
/v1/customer/disputes?disputed_transaction_id=ERRDIS028SERVICE_UNAVAILABLE
/v1/customer/disputes?disputed_transaction_id=ERRDIS029INTERNAL_SERVICE_ERROR
/v1/customer/disputes?disputed_transaction_id=ERRDIS030AUTHORIZATION_ERROR
/v1/customer/disputes?disputed_transaction_id=ERRDIS031VALIDATION_ERROR
(issue: DATE_CAN_NOT_BE_IN_FUTURE)
/v1/customer/disputes?disputed_transaction_id=ERRDIS032VALIDATION_ERROR
(issue: INVALID_PAGE_SIZE)
/v1/customer/disputes?disputed_transaction_id=ERRDIS033VALIDATION_ERROR
(issue: INVALID_START_TIME_FORMAT)
/v1/customer/disputes?disputed_transaction_id=ERRDIS034VALIDATION_ERROR
(issue: INVALID_START_TIME_RANGE)

Show dispute details

Use the test values as path parameters to simulate the negative responses. Endpoint: GET /v1/customer/disputes/{ID}
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS015FORBIDDEN
/v1/customer/disputes/ERRDIS016INVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS017NOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS018UNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS019RATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS020SERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS021INTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS022AUTHORIZATION_ERROR

Send message to other party

Use the test values as path parameters to simulate the negative responses. Endpoint: POST /v1/customer/disputes/{ID}/send-message
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS091/send-messageFORBIDDEN
/v1/customer/disputes/ERRDIS092/send-messageINVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS093/send-messageNOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS094/send-messageUNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS095/send-messageRATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS096/send-messageSERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS097/send-messageINTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS098/send-messageAUTHORIZATION_ERROR
/v1/customer/disputes/ERRDIS099/send-messageUNPROCESSABLE_ENTITY

Make offer to resolve dispute

Use the test values as path parameters to simulate the negative responses. Endpoint: POST /v1/customer/disputes/{ID}/make-offer
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS100/make-offerFORBIDDEN
/v1/customer/disputes/ERRDIS101/make-offerINVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS102/make-offerNOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS103/make-offerUNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS104/make-offerRATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS105/make-offerSERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS106/make-offerINTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS107/make-offerAUTHORIZATION_ERROR
/v1/customer/disputes/ERRDIS108/make-offerUNPROCESSABLE_ENTITY

Accept claim

Use the test values as path parameters to simulate the negative responses. Endpoint: POST /v1/customer/disputes/{ID}/accept-claim
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS051/accept-claimFORBIDDEN
/v1/customer/disputes/ERRDIS052/accept-claimINVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS053/accept-claimNOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS054/accept-claimUNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS055/accept-claimRATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS056/accept-claimSERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS057/accept-claimINTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS058/accept-claimAUTHORIZATION_ERROR
/v1/customer/disputes/ERRDIS059/accept-claimUNPROCESSABLE_ENTITY
/v1/customer/disputes/ERRDIS060/accept-claimVALIDATION_ERROR
(issue: AMOUNT_SHOULD_NOT_BE_PASSED)
/v1/customer/disputes/ERRDIS061/accept-claimVALIDATION_ERROR
(issue: INSUFFICIENT_FUNDS)
/v1/customer/disputes/ERRDIS062/accept-claimVALIDATION_ERROR
(issue: INTANGIBLE_ITEM_CANNOT_BE_RETURNED)
/v1/customer/disputes/ERRDIS063/accept-claimVALIDATION_ERROR
(issue: INVALID_RETURN_SHIPPING_ADDRESS_FORMAT)
/v1/customer/disputes/ERRDIS064/accept-claimVALIDATION_ERROR
(issue: MISSING_RETURN_SHIPPING_ADDRESS)
/v1/customer/disputes/ERRDIS065/accept-claimUNPROCESSABLE_ENTITY

Provide evidence

Use the test values as path parameters to simulate the negative responses. Endpoint: POST /v1/customer/disputes/{ID}/provide-evidence
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS035/provide-evidenceFORBIDDEN
/v1/customer/disputes/ERRDIS036/provide-evidenceINVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS037/provide-evidenceNOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS038/provide-evidenceUNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS039/provide-evidenceRATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS040/provide-evidenceSERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS041/provide-evidenceINTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS042/provide-evidenceAUTHORIZATION_ERROR
/v1/customer/disputes/ERRDIS043/provide-evidenceUNPROCESSABLE_ENTITY
/v1/customer/disputes/ERRDIS044/provide-evidenceVALIDATION_ERROR
(issue: INVALID_EVIDENCE_FILE)
/v1/customer/disputes/ERRDIS045/provide-evidenceVALIDATION_ERROR
(issue: INVALID_EVIDENCE_TYPE_PROOF_OF_FULFILLMENT)
/v1/customer/disputes/ERRDIS046/provide-evidenceVALIDATION_ERROR
(issue: ITEM_ID_IS_MANDATORY_FOR_MULTIPLE_EVIDENCES)
/v1/customer/disputes/ERRDIS047/provide-evidenceVALIDATION_ERROR
(issue: MISSING_EVIDENCE_INFO)
/v1/customer/disputes/ERRDIS048/provide-evidenceVALIDATION_ERROR
(issue: MISSING_EVIDENCE_TYPE)
/v1/customer/disputes/ERRDIS049/provide-evidenceVALIDATION_ERROR
(issue: MISSING_REFUND_ID)
/v1/customer/disputes/ERRDIS050/provide-evidenceVALIDATION_ERROR
(issue: MISSING_TRACKING_INFO)

Escalate dispute to claim

Use the test values as path parameters to simulate the negative responses. Endpoint: POST /v1/customer/disputes/{ID}/escalate
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS082/escalateFORBIDDEN
/v1/customer/disputes/ERRDIS083/escalateINVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS084/escalateNOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS085/escalateUNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS086/escalateRATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS087/escalateSERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS088/escalateINTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS089/escalateAUTHORIZATION_ERROR
/v1/customer/disputes/ERRDIS090/escalateUNPROCESSABLE_ENTITY

Appeal dispute

Use the test values as path parameters to simulate the negative responses. Endpoint: POST /v1/customer/disputes/{ID}/appeal
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS066/appealFORBIDDEN
/v1/customer/disputes/ERRDIS067/appealINVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS068/appealNOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS069/appealUNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS070/appealRATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS071/appealSERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS072/appealINTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS073/appealAUTHORIZATION_ERROR
/v1/customer/disputes/ERRDIS074/appealUNPROCESSABLE_ENTITY
/v1/customer/disputes/ERRDIS075/appealVALIDATION_ERROR
(issue: INVALID_EVIDENCE_FILE)
/v1/customer/disputes/ERRDIS076/appealVALIDATION_ERROR
(issue: INVALID_EVIDENCE_TYPE_PROOF_OF_FULFILLMENT)
/v1/customer/disputes/ERRDIS077/appealVALIDATION_ERROR
(issue: ITEM_ID_IS_MANDATORY_FOR_MULTIPLE_EVIDENCES)
/v1/customer/disputes/ERRDIS078/appealVALIDATION_ERROR
(issue: MISSING_EVIDENCE_INFO)
/v1/customer/disputes/ERRDIS079/appealVALIDATION_ERROR
(issue: MISSING_EVIDENCE_TYPE)
/v1/customer/disputes/ERRDIS080/appealVALIDATION_ERROR
(issue: MISSING_REFUND_ID)
/v1/customer/disputes/ERRDIS081/appealVALIDATION_ERROR
(issue: MISSING_TRACKING_INFO)

Acknowledge returned item

Use the test values as path parameters to simulate the negative responses. Endpoint: POST /v1/customer/disputes/{ID}/acknowledge-return-item
Path parameterSimulated error response
/v1/customer/disputes/ERRDIS109/acknowledge-return-itemFORBIDDEN
/v1/customer/disputes/ERRDIS110/acknowledge-return-itemINVALID_RESOURCE_ID
/v1/customer/disputes/ERRDIS111/acknowledge-return-itemNOT_ACCEPTABLE
/v1/customer/disputes/ERRDIS112/acknowledge-return-itemUNSUPPORTED_MEDIA_TYPE
/v1/customer/disputes/ERRDIS113/acknowledge-return-itemRATE_LIMIT_REACHED
/v1/customer/disputes/ERRDIS114/acknowledge-return-itemSERVICE_UNAVAILABLE
/v1/customer/disputes/ERRDIS115/acknowledge-return-itemINTERNAL_SERVICE_ERROR
/v1/customer/disputes/ERRDIS116/acknowledge-return-itemAUTHORIZATION_ERROR
/v1/customer/disputes/ERRDIS117/acknowledge-return-itemUNPROCESSABLE_ENTITY
Additional information